Loading...
Searching...
No Matches
graphAlgorithms.h File Reference
`#include <BALL/COMMON/global.h>`
`#include <BALL/COMMON/exception.h>`
`#include <BALL/DATATYPE/string.h>`
`#include <boost/graph/properties.hpp>`
`#include <boost/graph/graph_traits.hpp>`
`#include <boost/graph/adjacency_list.hpp>`
`#include <boost/graph/tree_traits.hpp>`
`#include <boost/graph/iteration_macros.hpp>`
`#include <boost/graph/copy.hpp>`
`#include <boost/shared_ptr.hpp>`
`#include <iostream>`

Go to the source code of this file.

## Classes

class | BALL::GRAPH::IllegalStateException
class | BALL::GRAPH::UnconnectedGraphException
class | BALL::GRAPH::GraphTraits< Graph >
struct | BALL::GRAPH::EditableEdgeCopier< Graph1, Graph2 >
struct | BALL::GRAPH::EditableVertexCopier< Graph1, Graph2 >
class | BALL::GRAPH::UndoEliminateOperation< UndirectedGraph >
class | BALL::GRAPH::PostOrderFolding< Tree, From, To, Functor >

## Namespaces

namespace | boost
namespace | BALL
namespace | BALL::GRAPH

## Enumerations

enum | boost::vertex_atom_ptr_t { boost::vertex_atom_ptr }
enum | boost::vertex_orig_ptr_t { boost::vertex_orig_ptr }
enum | boost::edge_bond_ptr_t { boost::edge_bond_ptr }
enum | boost::edge_orig_ptr_t { boost::edge_orig_ptr }

## Functions

| boost::BOOST_INSTALL_PROPERTY (vertex, atom_ptr)
| boost::BOOST_INSTALL_PROPERTY (vertex, orig_ptr)
| boost::BOOST_INSTALL_PROPERTY (edge, bond_ptr)
| boost::BOOST_INSTALL_PROPERTY (edge, orig_ptr)
template<typename Graph1, typename Graph2>
EditableEdgeCopier< Graph1, Graph2 > | BALL::GRAPH::makeEditableEdgeCopier (const Graph1 &g1, Graph2 &g2)
template<typename Graph1, typename Graph2>
EditableVertexCopier< Graph1, Graph2 > | BALL::GRAPH::makeEditableVertexCopier (const Graph1 &g1, Graph2 &g2)
template<class UndirectedGraph>
void | BALL::GRAPH::eliminateVertex (typename GraphTraits< UndirectedGraph >::VertexType &vertex, UndirectedGraph &graph)
template<class UndirectedGraph>
UndoEliminateOperation< UndirectedGraph > | BALL::GRAPH::eliminateVertexUndoable (typename GraphTraits< UndirectedGraph >::VertexType const &vertex, UndirectedGraph &graph)
template<class UndirectedGraph>
void | BALL::GRAPH::deepCopy (const UndirectedGraph &src, UndirectedGraph &target)